Jump to content
Caedwyr

Geomantic Sorcerer Kit

Recommended Posts

It occurred to me that the ToB check may no longer be relevant, in Original BG2 Throne of Bhaal was an optional add-on. Hence you could have Shadows of Amn installed but not ToB.

By contrast, in BG2EE, Throne of Bhaal is a part of the overall game, it is always installed.

Yeah, but there's a specific reason to not install the mod to a non-ToB games, did the Sorcerer class even exist in the regular SoA game ? And there's the SoA version of the Tutu, BG1 games and so forth, there's no way to know what people try install the mod into, this code will remove the need to declare all the things the mod is compatible with, as there's 99 million other possibilities it's not.

Share this post


Link to post

Sorcerors did exist in Shadows of Amn. There were no kits in either the original SoA or the original ToB.
I figure that the ToB-only rule was due to the fact that HLAs only occurred in ToB.
Currently this is a strictly EE mod hence it only has to cater to BG1EE and BG2EE. Original mod is still perfectly fit for the original game.

Share this post


Link to post

I figure that the ToB-only rule was due to the fact that HLAs only occurred in ToB.

This is unlikely, more likely is that the kit could require the use of opcodes only available in ToB version of the game. I don't know where the exact line is, but the starting from #280 come wild magic, which is likely only available in ToB. The other of course that it needs actions only available in ToB.

Yes, the EE games are build up from the ToB games engine, so it not like that matters to those games, but I would think it's would be better if we won't tear down the whole previous generation of working code just cause it's a little inconvenient. But make it better.

Share this post


Link to post

Beta-testing should show whether mod works or not. I am now writing up the ReadMe.

Edited by Ishad Nha

Share this post


Link to post

Here is the Beta for the new EE version of the GS mod:

http://www.freewebs.com/ishadnha/DruidSor.7z

 

7Z files are easily unpacked by the freeware 7Zip program.

I would be grateful for not forcing players to install any software to be able to use this mod. Use zip, it can be opened by every OS without custom apps.

Share this post


Link to post

A while ago the Freewebs uploads started to require 7Z not Zip.

Maybe they bowed to negative feedback or maybe I now have a premium account, it accepted a zip:

http://www.freewebs.com/ishadnha/DruidSor.zip

 

Name of the readme should be restored to: readme-druidSor.html

 

That only took three weeks, that was not so bad! With a new mod it would be far quicker

Edited by Ishad Nha

Share this post


Link to post

It should also be possible to export it to BGT, Baldurs Gate Trilogy. Have Aataqah the Genie appear at Candlekeep. You could rework Aataqah's dialog so it omitted mention of Rielev and other strictly BG2 matter.

Exporting this kit to the original BG1 is simply not on, the game lacks the Sorceror class completely. Your best approximation would be a Geomantic Mage.

Share this post


Link to post

It seems to work for IWD1EE too. Just delete an existing character and replace with a GS.

It worked on BG1EE because the relevant file formats were the same for both games. In IWD1EE there is a difference in the Cre formats used, Shapeshifting won't be possible until this is resolved.

Edited by Ishad Nha

Share this post


Link to post

plain zips don't work by default on linux, ALIENQuake, only those in gnu zip format (usually .gzip). Even 7z/xz/lzma is more common. No idea about macs.

Share this post


Link to post

plain zips don't work by default on linux...

Erhm, yeah, but if the mod is not natively made to be run by a linux, you can still extract the mods content and the repackage it to the format you like with the content that you might need to add. The .zip is mainly used to be the extraction format that everyone can use in the Windows 95, for the 20 years now. So forums, the net and so forth have agreed to accept it without too many restrictions.

Share this post


Link to post

emphasis on "by default", which was the source of the complaint.

Share this post


Link to post

I am on Windows, I don't use Mac or Linux. I can give a link to an alternate 7z version.

http://www.freewebs.com/ishadnha/DruidSor.7z

Someone on Mac/Linux is welcome to convert the zip format to something that is used by those platforms.

 

Here is the zip version:

http://www.freewebs.com/ishadnha/DruidSor.zip

 

IWD1EE: the Cre files may have been Baldurized, made compatible with the files from BG2EE. Shapeshifting did not cause the expected crash...

Edited by Ishad Nha

Share this post


Link to post

This mod now works in the Icewind Dale Enhanced Edition game system. Because the IWD1EE game has Sorceror kits, the GS kit can be chosen at the start of the game.
This mod won't run on the original version of IWD because there is no Sorceror class. Until some genius of IE can create such a class...

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...